`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date: 2020/03/17 17:56:39
// Design Name: 
// Module Name: BCD_to_SSD_decoder
// Project Name: 
// Target Devices: 
// Tool Versions: 
// Description: 
// 
// Dependencies: 
// 
// Revision:
// Revision 0.01 - File Created
// Additional Comments:
// 
//////////////////////////////////////////////////////////////////////////////////


module BCD_to_SSD_decoder(
    output reg [7:0] D_ssd,  // 7-segment display decode
    output     [3:0] d,      // LEDs to monitor
    input      [3:0] i       // 4-bit BCD number
    );
    
    // four LEDs to monitor the 4-bit BCD number
    assign d = i;
    
    // BCD to 7-segment display decoder
    always @ (i)
    begin
        case (i)
            0:       D_ssd = 8'b0000001_1;  // 0
            1:       D_ssd = 8'b1001111_1;  // 1
            2:       D_ssd = 8'b0010010_1;  // 2
            3:       D_ssd = 8'b0000110_1;  // 3
            4:       D_ssd = 8'b1001100_1;  // 4
            5:       D_ssd = 8'b0100100_1;  // 5
            6:       D_ssd = 8'b0100000_1;  // 6
            7:       D_ssd = 8'b0001111_1;  // 7
            8:       D_ssd = 8'b0000000_1;  // 8
            9:       D_ssd = 8'b0000100_1;  // 9
            default: D_ssd = 8'b0111000_1;  // F
        endcase
    end
    
endmodule                    // BCD_to_SSD_decoder
